with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.IHTMLSpanElement_Interface is

   procedure Initialize (This : in out IHTMLSpanElement_Type) is
   begin
      Set_IID (This, IID_IHTMLSpanElement);
   end Initialize;

   function Pointer (This : IHTMLSpanElement_Type)
     return Pointer_To_IHTMLSpanElement
   is
   begin
      return To_Pointer_To_IHTMLSpanElement (Address (This));
   end Pointer;

   procedure Attach (This    : in out IHTMLSpanElement_Type;
                     Pointer : in     Pointer_To_IHTMLSpanElement)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

end MSHTML.IHTMLSpanElement_Interface;

